Summary:	The userspace connection tracking table administration program
Summary(pl.UTF-8):	Program przestrzeni użytkownika do zarządzania tablicą śledzenia połączeń
Name:		conntrack-tools
Version:	1.2.2
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://www.netfilter.org/projects/conntrack-tools/files/%{name}-%{version}.tar.bz2
# Source0-md5:	a8afc813e16265655f83991fc0df35b6
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.conf
Patch0:		%{name}-limits.patch
Patch1:		%{name}-include.patch
URL:		http://conntrack-tools.netfilter.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.6
BuildRequires:	bison
BuildRequires:	flex >= 2.5.33
BuildRequires:	libmnl-devel >= 1.0.0
BuildRequires:	libnetfilter_conntrack-devel >= 1.0.1
BuildRequires:	libnetfilter_cttimeout-devel >= 1.0.0
BuildRequires:	libnfnetlink-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	libmnl >= 1.0.0
Requires:	libnetfilter_conntrack >= 1.0.1
Requires:	libnetfilter_cttimeout >= 1.0.0
Requires:	libnfnetlink >= 1.0.0
Obsoletes:	conntrack
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The conntrack-tools are a set of tools targeted at system
administrators. They are conntrack, the userspace command line
interface, and conntrackd, the userspace daemon. The tool conntrack
provides a full featured interface that is intended to replace the old
/proc/net/ip_conntrack interface. Using conntrack, you can view and
manage the in-kernel connection tracking state table from userspace.
On the other hand, conntrackd covers the specific aspects of stateful
firewalls to enable highly available scenarios, and can be used as
statistics collector as well.

%description -l pl.UTF-8
conntrack-tools to zbiór narzędzi przeznaczonych dla administratorów
systemów. Są to conntrack (interfejs przestrzeni użytkownika
obsługiwany z linii poleceń) i conntrackd (demon przestrzeni
użytkownika). Narzędzie conntrack udostępnia pełny interfejs mający za
zadanie zastąpić stary interfejs /proc/net/ip_conntrack. Przy użyciu
conntracka można oglądać i zarządzać z przestrzeni użytkownika tablicą
stanów śledzienia połączeń w jądrze. Z drugiej strony conntrackd
pokrywa specyficzne aspekty firewalli stanowych udostępniając
scenariusze wysokiej dostępności; może także służyć do zbierania
statystyk.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/conntrackd
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/conntrackd
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/conntrackd/conntrackd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add conntrackd
%service conntrackd restart

%preun
if [ "$1" = "0" ]; then
	%service -q conntrackd stop
	/sbin/chkconfig --del conntrackd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%attr(755,root,root) %{_sbindir}/conntrack
%attr(755,root,root) %{_sbindir}/conntrackd
%attr(755,root,root) %{_sbindir}/nfct
%{_mandir}/man8/conntrack.8*
%{_mandir}/man8/conntrackd.8*
%{_mandir}/man8/nfct.8*
%attr(754,root,root) /etc/rc.d/init.d/conntrackd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conntrackd/conntrackd.conf
%dir %{_sysconfdir}/conntrackd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/conntrackd
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conntrack-tools.git;a=log;h=master

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 727b2d4
- updated to 1.2.2

* Wed May 30 2012 Jakub Bogusz <qboosh@pld-linux.org> d24792f
- updated to 1.2.1
- removed obsolete timeout patch

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fd1089a
- updated to 1.2.0
- added include patch (missing include for NULL)
- added timeout patch (fixes nfct build with released version of libnetfilter_cttimeout)

* Tue Jan 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b9814f
- release 2

* Sat Jan 07 2012 Jakub Bogusz <qboosh@pld-linux.org> cfee130
- updated libnetfilter_conntrack version
- disable silent-rules
- __KERNEL_STRICT_NAMES hack seems no longer needed

* Fri Jan 06 2012 Adam Gołębiowski <adamg@pld-linux.org> 69a3db3
- updated to 1.0.1

* Tue Mar 22 2011 Jan Rękorajski <baggins@pld-linux.org> d8baee2
- WARNING: -S option is obsolete. Ignoring.

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 24798f9
- updated to 1.0.0
- updated URL

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> e6a784b
- updated runtime libnetfilter_conntrack dep

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> daac011
- up to 0.9.15

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ac5000a
- release 2

* Fri Apr 09 2010 Jakub Bogusz <qboosh@pld-linux.org> fb2f132
- updated to 0.9.14

* Tue Apr 21 2009 areq <areq@pld-linux.org> c75f4c1
- 0.9.12

* Wed Mar 18 2009 duddits <duddits@pld-linux.org> f6e3667
- up to 0.9.11
- limits.patch updated

* Wed Mar 18 2009 duddits <duddits@pld-linux.org> 06c3279
- up to fit 0.9.11

* Wed Jan 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 684ddc1
- unified

* Mon Jan 26 2009 areq <areq@pld-linux.org> 4e81db7
- #include <limits.h>

* Mon Jan 26 2009 areq <areq@pld-linux.org> 87f0b5f
- 0.9.10

* Thu Dec 18 2008 areq <areq@pld-linux.org> b36c9ee
- 0.9.9

* Tue Dec 16 2008 areq <areq@pld-linux.org> e36a937
- outdated

